Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class DeleteDhcpOptionsRequest

    java.lang.Object
      com.amazonaws.AmazonWebServiceRequest
          com.amazonaws.services.ec2.model.DeleteDhcpOptionsRequest

    public class DeleteDhcpOptionsRequest

extends AmazonWebServiceRequest

Container for the parameters to the `DeleteDhcpOptions operation`.

Deletes a set of DHCP options that you specify. Amazon VPC returns an error if the set of options you specify is currently associated with a VPC. You can disassociate the set of options by associating either a new set of options or the default options with the VPC.

See Also:
  `AmazonEC2.deleteDhcpOptions(DeleteDhcpOptionsRequest)`

Constructor Summary
`DeleteDhcpOptionsRequest()`

Method Summary
`String` | `getDhcpOptionsId()` The ID of the DHCP options set to delete.
`void` | `setDhcpOptionsId(String dhcpOptionsId)` The ID of the DHCP options set to delete.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`DeleteDhcpOptionsRequest` | `withDhcpOptionsId(String dhcpOptionsId)` The ID of the DHCP options set to delete.

Methods inherited from class com.amazonaws.AmazonWebServiceRequest
`copyPrivateRequestParameters`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DeleteDhcpOptionsRequest

    public DeleteDhcpOptionsRequest()

Method Detail

### getDhcpOptionsId

    public String getDhcpOptionsId()

  The ID of the DHCP options set to delete.

  Returns:
    The ID of the DHCP options set to delete.

### setDhcpOptionsId

    public void setDhcpOptionsId(String dhcpOptionsId)

  The ID of the DHCP options set to delete.

  Parameters:
    `dhcpOptionsId` - The ID of the DHCP options set to delete.

### withDhcpOptionsId

    public DeleteDhcpOptionsRequest withDhcpOptionsId(String dhcpOptionsId)

  The ID of the DHCP options set to delete.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `dhcpOptionsId` - The ID of the DHCP options set to delete.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.